commit:     50c4d5cfbf1330b3b5381c6205d4acdbc46d52ee
Author:     Michael Haubenwallner <haubi <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  5 13:43:38 2019 +0000
Commit:     Michael Haubenwallner <haubi <AT> gentoo <DOT> org>
CommitDate: Wed Jun  5 14:19:39 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50c4d5cf

app-crypt/libb2: use -no-undefined libtool flag

https://github.com/BLAKE2/libb2/pull/28

Closes: https://bugs.gentoo.org/687442
Package-Manager: Portage-2.3.62, Repoman-2.3.11
Signed-off-by: Michael Haubenwallner <haubi <AT> gentoo.org>

 app-crypt/libb2/libb2-0.98.1.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/app-crypt/libb2/libb2-0.98.1.ebuild 
b/app-crypt/libb2/libb2-0.98.1.ebuild
index 440bcd1bb91..6ed261ba062 100644
--- a/app-crypt/libb2/libb2-0.98.1.ebuild
+++ b/app-crypt/libb2/libb2-0.98.1.ebuild
@@ -35,6 +35,8 @@ src_prepare() {
        default
        # fix bashism
        sed -i -e 's/ == / = /' configure.ac || die
+       # https://github.com/BLAKE2/libb2/pull/28
+       echo 'libb2_la_LDFLAGS = -no-undefined' >> src/Makefile.am || die
        eautoreconf  # upstream doesn't make releases
 }
 

Reply via email to